# Uses of Interface
org.gitana.platform.client.application.ApplicationDocument

Packages that use ApplicationDocument
Package
Description
org.gitana.platform.client.application

## Uses of ApplicationDocument in org.gitana.platform.client.application

Subinterfaces of ApplicationDocument in org.gitana.platform.client.application
Modifier and Type
Interface
Description
`interface`
`Email`
`interface`
`EmailProvider`
`interface`
`Registration`
A registration object is intended for us in registering a new user to a web site.
`interface`
`Settings`
Classes in org.gitana.platform.client.application that implement ApplicationDocument
Modifier and Type
Class
Description
`class`
`AbstractApplicationDocumentImpl`
`class`
`EmailImpl`
`class`
`EmailProviderImpl`
`class`
`RegistrationImpl`
`class`
`SettingsImpl`